#
# spec file for package python-ipaddress
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ipaddress
Version:        1.0.22
Release:        2.161
Summary:        Backport of the Python3 IPv4/IPv6 manipulation library to older Python versions
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/phihag/ipaddress
Source:         https://files.pythonhosted.org/packages/source/i/ipaddress/ipaddress-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python2-ipaddress
BuildArch:      noarch

%description
Backport of the Python 3.3+ IPv4/IPv6 manipulation library to older Python versions

%prep
%setup -q -n ipaddress-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%license LICENSE
%doc README.md README
%{python_sitelib}/*

%changelog
* Mon Apr 16 2018 tchvatal@suse.com
- Install license file
* Mon Apr 16 2018 michael@stroeder.com
- update to version v1.0.22:
  * Avoid using assertRaises as a context manager
* Fri Feb  9 2018 michael@stroeder.com
- update to version v1.0.19
  * Synchronize with Python3's ipaddress module of the day
* Thu Mar 16 2017 tbechtold@suse.com
- Use pypi.io as Source url
* Thu Mar 16 2017 tbechtold@suse.com
- update to 1.0.18
- add Provides for python2-ipaddress
* Mon Dec  5 2016 michael@stroeder.com
- Update to 1.0.17
* Sat Jul  9 2016 michael@stroeder.com
- Update to 1.0.16:
  * include license
  * Customize warning when bytes are passed in
* Wed Jul 29 2015 tbechtold@suse.com
- Initial packaging
